﻿using System;

/* Petita classe que emmagatzema un vertex i un cost. El cost representa el valor per entrar
 * en el vertex i aquest és el destí al qual es vol arribar.
 */

namespace AssemblyCSharp
{

    public class Relation
    {
        private Vertex vertex;
        private int cost;

        public Relation(Vertex v, int c)
        {
            this.vertex = v;
            this.cost = c;
        }

        public int getCost ()
        {
            return this.cost;
        }

        public void setCost(int c)
        {
            this.cost = c;
        }

        public Vertex getVertex()
        {
            return this.vertex;
        }

        public String toString() { return this.vertex.toString() + " costs " + this.cost; }
    }
}
