﻿using System;

namespace AssemblyCSharp
{
    public abstract class Terrain
    {
        public int Id { get; }
        public String Type { get; }
        private int BonusDef { get; }
        private int MoveRed { get; }    // Movement reduction
        private bool Heal { get; }

        public Terrain() { }

        public Terrain(int id, String t, int def, int red, bool h)
        {
            this.Id = id;
            this.Type = t;
            this.BonusDef = def;
            this.MoveRed = red;
            this.Heal = h;
        }

        public String toString()
        {
            return Type + ": +" + BonusDef + "def -" + MoveRed + "mov " + Heal + "heal";
        }

        public int getMoveRed()
        {
            return this.MoveRed;
        }

        public int getBonusDef()
        {
            return this.BonusDef;
        }
    }
}